Bug 228039 - Update list of reserved keywords
Update list of reserved keywords
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Expression Language
7.3.1
All All
: P3 (vote)
: 7.3.1
Assigned To: Martin Fousek
issues@javaee
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-28 12:05 UTC by Vladimir Riha
Modified: 2013-05-09 13:58 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-03-28 12:05:15 UTC
According to latest draft, "cat" and "T" are no longer reserved keywords in EL3.0



Product Version: NetBeans IDE Dev (Build web-main-javaee7-193-on-20130328)
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 1 Martin Fousek 2013-04-04 08:38:36 UTC
This should be fixed by web-main #d8978e826825.
I also made compatible the EL sanitizer: web-main #5669b7919fbe
And updated lexer for CONCAT operator: web-main #f3999e8ca778

Thanks for reporting!
Comment 2 Vladimir Riha 2013-04-08 06:20:44 UTC
Thanks, verfied, only CONCAT throws ISE when used (issue #228357)


Product Version: NetBeans IDE Dev (Build web-main-javaee7-213-on-20130407)
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 3 Marian Mirilovic 2013-05-03 09:17:00 UTC
So, where exactly is this issue fixed ? Is it already in release73 repository ? If so, please change SW to '73patch2-fixed', thanks in advance.
Comment 4 Vladimir Riha 2013-05-09 13:58:45 UTC
patch2 verified

Product Version: NetBeans IDE 7.3.1 (Build 201302132200)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-41-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo